#!/bin/bash

K8S_NAMESPACE="${K8S_NAMESPACE:=argo}"
OS_SECRETS_NAME="${OS_SECRETS_NAME:=openstack-secrets}"

kubectl create secret -n $K8S_NAMESPACE generic $OS_SECRETS_NAME \
  --from-literal=OS_AUTH_URL=$OS_AUTH_URL \
  --from-literal=OS_PROJECT_ID=$OS_PROJECT_ID \
  --from-literal=OS_PROJECT_NAME=$OS_PROJECT_NAME \
  --from-literal=OS_USER_DOMAIN_NAME=$OS_USER_DOMAIN_NAME \
  --from-literal=OS_PROJECT_DOMAIN_NAME=$OS_USER_DOMAIN_NAME \
  --from-literal=OS_PROJECT_DOMAIN_ID=$OS_PROJECT_DOMAIN_ID \
  --from-literal=OS_USERNAME=$OS_USERNAME \
  --from-literal=OS_PASSWORD=$OS_PASSWORD \
  --from-literal=OS_REGION_NAME=$OS_REGION_NAME \
  --from-literal=OS_INTERFACE=$OS_INTERFACE \
  --from-literal=OS_IDENTITY_API_VERSION=$OS_IDENTITY_API_VERSION \
    --from-literal=OS_APPLICATION_CREDENTIAL_NAME=$OS_APPLICATION_CREDENTIAL_NAME \
    --from-literal=OS_APPLICATION_CREDENTIAL_ID=$OS_APPLICATION_CREDENTIAL_ID \
    --from-literal=OS_APPLICATION_CREDENTIAL_SECRET=$OS_APPLICATION_CREDENTIAL_SECRET \
